Package com.avaya.clientservices.common

## Class DataRetrievalSearchFailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.common.DataRetrievalSearchFailException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DataRetrievalSearchFailException
      extends java.lang.Exception

  Exception for the case where a searchContacts request fails.

  This won't be directly thrown, but passed back as a parameter to `DataRetrievalListener.onDataRetrievalFailed(DataRetrieval, Exception)`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataRetrievalSearchFailException​(DataRetrievalSearchFailReason failReason)` |
    `DataRetrievalSearchFailException​(java.lang.String detailMessage, DataRetrievalSearchFailReason failReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataRetrievalSearchFailReason` | `getFailureReason()` | Returns failure reason.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataRetrievalSearchFailException

          public DataRetrievalSearchFailException​(DataRetrievalSearchFailReason failReason)

    - #### DataRetrievalSearchFailException

          public DataRetrievalSearchFailException​(java.lang.String detailMessage,
                                                  DataRetrievalSearchFailReason failReason)

  - ### Method Detail

    - #### getFailureReason

          public DataRetrievalSearchFailReason getFailureReason()

      Returns failure reason.
      Returns:
        failure reason.